#include "ThermometerPro.h"

#include "cmd.h"
#include "uptime.h"
#include "thermometer.h"
#include "Config.h"


static CmdServer cmdServer(&Serial);
static ConfigInvalidateCmd configInvalidateCmd;
static Uptime uptime;
static Thermometer thermometer;


void setup() {
  cmdServer.begin();
  configInvalidateCmd.registerYourself(&cmdServer);
  uptime.begin(&cmdServer);
  thermometer.begin(&cmdServer);

  delay(5000);
  Serial.println("Start");
}


void loop() {
  cmdServer.exec();
  uptime.exec();
  thermometer.exec();
}
